# hyperfi

Just a simple bash script wizard to install Hyperbola after you have booted on the official Hyperbola install media.

With this script, you can install Hyperbola with two simple terminal commands.

This wizard is made to install minimum packages (Base, bootloader and optionally hyperdi).

## How to use

First, boot with the [last Hyperbola image](https://www.hyperbola.info/download/) with a [bootable device](https://wiki.hyperbola.info/doku.php?id=en:guide:beginners).

Then make sure you have Internet connection on the HyperISO.
If you have a wireless connection the `wpa_supplicant -B -i <name-device> -c <(wpa_passphrase "ssid" "psk")` command might be useful to you.
You can also read the [Network configuration](https://conocimientoslibres.tuxfamily.org/guia-de-instalacion-de-hyperbola/#red) from the Hyperbola guide for more detailed instructions.

Then download the script with from the command line:

```console
$ wget https://0x0.st/NlXF
```

Finally, launch the script:

```console
$ sh hyperfi
```

Then follow the on-screen instructions to completion.

If you require extra help, visit the provided video playlist and follow my example.

## More custom install

```console
$ sh hyperfi -cpl {URL of your custom package list}
```

You can find a sample custom package list file in the samples folder.

## For developers

You can test your script with this command :

```console
$ sh hyperfi -t {codebergusername} {branchname}
```

Example :

```console
$ sh hyperfi -t matmoul master
```
